## GstRegistry GstRegistry |

## Functions

GstRegistry * | gst_registry_get ()
GList * | gst_registry_get_feature_list ()
guint32 | gst_registry_get_feature_list_cookie ()
GList * | gst_registry_get_feature_list_by_plugin ()
GList * | gst_registry_get_plugin_list ()
gboolean | gst_registry_add_plugin ()
void | gst_registry_remove_plugin ()
GList * | gst_registry_plugin_filter ()
GList * | gst_registry_feature_filter ()
GstPlugin * | gst_registry_find_plugin ()
GstPluginFeature * | gst_registry_find_feature ()
GstPluginFeature * | gst_registry_lookup_feature ()
void | gst_registry_add_path ()
GList * | gst_registry_get_path_list ()
gboolean | gst_registry_scan_path ()
GstPlugin * | gst_registry_lookup ()
void | gst_registry_remove_feature ()
gboolean | gst_registry_add_feature ()
gboolean | gst_registry_check_feature_version ()

## Signals

void | feature-added | Run Last
void | plugin-added | Run Last

## Types and Values

struct | GstRegistry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstRegistry

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_registry_get ()

    GstRegistry *
    gst_registry_get (void);

### gst_registry_get_feature_list ()

    GList *
    gst_registry_get_feature_list (GstRegistry *registry,
                                   GType type);

### gst_registry_get_feature_list_cookie ()

    guint32
    gst_registry_get_feature_list_cookie (GstRegistry *registry);

### gst_registry_get_feature_list_by_plugin ()

    GList *
    gst_registry_get_feature_list_by_plugin
                                   (GstRegistry *registry,
                                    const gchar *name);

### gst_registry_get_plugin_list ()

    GList *
    gst_registry_get_plugin_list (GstRegistry *registry);

### gst_registry_add_plugin ()

    gboolean
    gst_registry_add_plugin (GstRegistry *registry,
                             GstPlugin *plugin);

### gst_registry_remove_plugin ()

    void
    gst_registry_remove_plugin (GstRegistry *registry,
                                GstPlugin *plugin);

### gst_registry_plugin_filter ()

    GList *
    gst_registry_plugin_filter (GstRegistry *registry,
                                GstPluginFilter filter,
                                gboolean first,
                                gpointer user_data);

### gst_registry_feature_filter ()

    GList *
    gst_registry_feature_filter (GstRegistry *registry,
                                 GstPluginFeatureFilter filter,
                                 gboolean first,
                                 gpointer user_data);

### gst_registry_find_plugin ()

    GstPlugin *
    gst_registry_find_plugin (GstRegistry *registry,
                              const gchar *name);

### gst_registry_find_feature ()

    GstPluginFeature *
    gst_registry_find_feature (GstRegistry *registry,
                               const gchar *name,
                               GType type);

### gst_registry_lookup_feature ()

    GstPluginFeature *
    gst_registry_lookup_feature (GstRegistry *registry,
                                 const char *name);

### gst_registry_add_path ()

    void
    gst_registry_add_path (GstRegistry *registry,
                           const gchar *path);

### gst_registry_get_path_list ()

    GList *
    gst_registry_get_path_list (GstRegistry *registry);

### gst_registry_scan_path ()

    gboolean
    gst_registry_scan_path (GstRegistry *registry,
                            const gchar *path);

### gst_registry_lookup ()

    GstPlugin *
    gst_registry_lookup (GstRegistry *registry,
                         const char *filename);

### gst_registry_remove_feature ()

    void
    gst_registry_remove_feature (GstRegistry *registry,
                                 GstPluginFeature *feature);

### gst_registry_add_feature ()

    gboolean
    gst_registry_add_feature (GstRegistry *registry,
                              GstPluginFeature *feature);

### gst_registry_check_feature_version ()

    gboolean
    gst_registry_check_feature_version (GstRegistry *registry,
                                        const gchar *feature_name,
                                        guint min_major,
                                        guint min_minor,
                                        guint min_micro);

## Types and Values

### struct GstRegistry

    struct GstRegistry;

## Signal Details

### The `“feature-added”` signal

    void
    user_function (GstRegistry      *gstregistry,
                   GstPluginFeature *arg1,
                   gpointer          user_data)

Flags: Run Last

### The `“plugin-added”` signal

    void
    user_function (GstRegistry *gstregistry,
                   GstPlugin   *arg1,
                   gpointer     user_data)

Flags: Run Last